Tetrarch Thifiell:
Palus Knights are the elite knights of the Dark Elves. Their excellent swordsmanship is based on swift, precise attacks and effective defense, and it cannot be compared to other races that depend on mere strength or coarser skills.
The most talented of Palus Knights are selected for the highest order, as a Shillien Knight, or become Bladedancers, with almost unearthly skill in swordsmanship.
Ask about changing profession to a Palus Knight
Return